Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenLink

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenCommonBase, GenLinkEnd, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenLinkImpl

    public interface GenLink

extends GenCommonBase, GenLinkEnd

A representation of the model object 'Gen Link'.

The following features are supported:

- `Diagram`
- `Model Facet`
- `Labels`
- `Outgoing Creation Allowed`
- `Incoming Creation Allowed`
- `View Direction Aligned With Model`
- `Creation Constraints`
- `Target Reorienting Allowed`
- `Source Reorienting Allowed`
- `Create Command Class Name`
- `Reorient Command Class Name`
- `Tree Branch`
- `Sources`
- `Targets`

See Also:
  `GMFGenPackage.getGenLink()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='diagramRunTimeClass.ecoreClass.eAllSuperTypes->including(diagramRunTimeClass.ecoreClass)->one(ePackage.name = \'notation\' and name = \'Edge\')' description='Link \'Diagram Runtime Class\' must be a notation::Edge or sub-class'"

Field Summary
`static java.lang.String` `CLASS_NAME_PREFIX`
`static java.lang.String` `CREATE_COMMAND_SUFFIX`
`static java.lang.String` `REORIENT_COMMAND_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`org.eclipse.emf.common.util.EList<GenCommonBase>` `getAssistantSources()` Returns link sources in this genmodel
`org.eclipse.emf.common.util.EList<GenCommonBase>` `getAssistantTargets()` Returns link targets in this genmodel
`java.lang.String` `getCreateCommandClassName()` Returns the value of the 'Create Command Class Name' attribute
`java.lang.String` `getCreateCommandQualifiedClassName()`
`GenLinkConstraints` `getCreationConstraints()` Returns the value of the 'Creation Constraints' containment reference.
`GenDiagram` `getDiagram()` Returns the value of the 'Diagram' container reference.
`org.eclipse.emf.common.util.EList<GenLinkLabel>` `getLabels()` Returns the value of the 'Labels' containment reference list.
`LinkModelFacet` `getModelFacet()` Returns the value of the 'Model Facet' containment reference
`java.lang.String` `getReorientCommandClassName()` Returns the value of the 'Reorient Command Class Name' attribute
`java.lang.String` `getReorientCommandQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenLinkEnd>` `getSources()` Returns the value of the 'Sources' reference list.
`org.eclipse.emf.common.util.EList<GenLinkEnd>` `getTargets()` Returns the value of the 'Targets' reference list.
`boolean` `isIncomingCreationAllowed()` Returns the value of the 'Incoming Creation Allowed' attribute.
`boolean` `isOutgoingCreationAllowed()` Returns the value of the 'Outgoing Creation Allowed' attribute.
`boolean` `isSourceReorientingAllowed()` Returns the value of the 'Source Reorienting Allowed' attribute.
`boolean` `isTargetReorientingAllowed()` Returns the value of the 'Target Reorienting Allowed' attribute.
`boolean` `isTreeBranch()` Returns the value of the 'Tree Branch' attribute.
`boolean` `isViewDirectionAlignedWithModel()` Returns the value of the 'View Direction Aligned With Model' attribute.
`void` `setCreateCommandClassName(java.lang.String value)` Sets the value of the '`Create Command Class Name`' attribute
`void` `setCreationConstraints(GenLinkConstraints value)` Sets the value of the '`Creation Constraints`' containment reference
`void` `setIncomingCreationAllowed(boolean value)` Sets the value of the '`Incoming Creation Allowed`' attribute
`void` `setModelFacet(LinkModelFacet value)` Sets the value of the '`Model Facet`' containment reference
`void` `setOutgoingCreationAllowed(boolean value)` Sets the value of the '`Outgoing Creation Allowed`' attribute
`void` `setReorientCommandClassName(java.lang.String value)` Sets the value of the '`Reorient Command Class Name`' attribute
`void` `setSourceReorientingAllowed(boolean value)` Sets the value of the '`Source Reorienting Allowed`' attribute
`void` `setTargetReorientingAllowed(boolean value)` Sets the value of the '`Target Reorienting Allowed`' attribute
`void` `setTreeBranch(boolean value)` Sets the value of the '`Tree Branch`' attribute
`void` `setViewDirectionAlignedWithModel(boolean value)` Sets the value of the '`View Direction Aligned With Model`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLinkEnd
`getGenIncomingLinks, getGenOutgoingLinks`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### CLASS_NAME_PREFIX

    static final java.lang.String CLASS_NAME_PREFIX

See Also:
  Constant Field Values

### CREATE_COMMAND_SUFFIX

    static final java.lang.String CREATE_COMMAND_SUFFIX

See Also:
  Constant Field Values

### REORIENT_COMMAND_SUFFIX

    static final java.lang.String REORIENT_COMMAND_SUFFIX

See Also:
  Constant Field Values

Method Detail

### getDiagram

    GenDiagram getDiagram()

  Returns the value of the 'Diagram' container reference. It is bidirectional and its opposite is '`Links`'.

  If the meaning of the 'Diagram' container reference isn't clear, there really should be more of a description here...

  Specified by:
    `getDiagram` in interface `GenCommonBase`
  Returns:
    the value of the 'Diagram' container reference.
  See Also:
    `GMFGenPackage.getGenLink_Diagram()`, `GenDiagram.getLinks()`
  ** Generated **
  Model:
    opposite="links" resolveProxies="false" required="true" transient="false" changeable="false"

### getModelFacet

    LinkModelFacet getModelFacet()

  Returns the value of the 'Model Facet' containment reference.

  If the meaning of the 'Model Facet' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Model Facet' containment reference.
  See Also:
    `setModelFacet(LinkModelFacet)`, `GMFGenPackage.getGenLink_ModelFacet()`
  ** Generated **
  Model:
    containment="true"

### setModelFacet

    void setModelFacet(LinkModelFacet value)

  Sets the value of the '`Model Facet`' containment reference.

  Parameters:
    `value` - the new value of the 'Model Facet' containment reference.
  See Also:
    `getModelFacet()`
  ** Generated **

### getLabels

    org.eclipse.emf.common.util.EList<GenLinkLabel> getLabels()

  Returns the value of the 'Labels' containment reference list. The list contents are of type `GenLinkLabel`. It is bidirectional and its opposite is '`Link`'.

  If the meaning of the 'Labels' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Labels' containment reference list.
  See Also:
    `GMFGenPackage.getGenLink_Labels()`, `GenLinkLabel.getLink()`
  ** Generated **
  Model:
    opposite="link" containment="true"

### isOutgoingCreationAllowed

    boolean isOutgoingCreationAllowed()

  Returns the value of the 'Outgoing Creation Allowed' attribute. The default value is `"true"`. Support link creation from source to target

  Returns:
    the value of the 'Outgoing Creation Allowed' attribute.
  See Also:
    `setOutgoingCreationAllowed(boolean)`, `GMFGenPackage.getGenLink_OutgoingCreationAllowed()`
  ** Generated **
  Model:
    default="true"

### setOutgoingCreationAllowed

    void setOutgoingCreationAllowed(boolean value)

  Sets the value of the '`Outgoing Creation Allowed`' attribute.

  Parameters:
    `value` - the new value of the 'Outgoing Creation Allowed' attribute.
  See Also:
    `isOutgoingCreationAllowed()`
  ** Generated **

### isIncomingCreationAllowed

    boolean isIncomingCreationAllowed()

  Returns the value of the 'Incoming Creation Allowed' attribute. The default value is `"false"`. Support link creation from target to source

  Returns:
    the value of the 'Incoming Creation Allowed' attribute.
  See Also:
    `setIncomingCreationAllowed(boolean)`, `GMFGenPackage.getGenLink_IncomingCreationAllowed()`
  ** Generated **
  Model:
    default="false"

### setIncomingCreationAllowed

    void setIncomingCreationAllowed(boolean value)

  Sets the value of the '`Incoming Creation Allowed`' attribute.

  Parameters:
    `value` - the new value of the 'Incoming Creation Allowed' attribute.
  See Also:
    `isIncomingCreationAllowed()`
  ** Generated **

### isViewDirectionAlignedWithModel

    boolean isViewDirectionAlignedWithModel()

  Returns the value of the 'View Direction Aligned With Model' attribute. The default value is `"true"`. View (Edge) will always be directed from model source to model target

  Returns:
    the value of the 'View Direction Aligned With Model' attribute.
  See Also:
    `setViewDirectionAlignedWithModel(boolean)`, `GMFGenPackage.getGenLink_ViewDirectionAlignedWithModel()`
  ** Generated **
  Model:
    default="true"

### setViewDirectionAlignedWithModel

    void setViewDirectionAlignedWithModel(boolean value)

  Sets the value of the '`View Direction Aligned With Model`' attribute.

  Parameters:
    `value` - the new value of the 'View Direction Aligned With Model' attribute.
  See Also:
    `isViewDirectionAlignedWithModel()`
  ** Generated **

### getCreationConstraints

    GenLinkConstraints getCreationConstraints()

  Returns the value of the 'Creation Constraints' containment reference. It is bidirectional and its opposite is '`Link`'. Specifies additional restrictions on link creation

  Returns:
    the value of the 'Creation Constraints' containment reference.
  See Also:
    `setCreationConstraints(GenLinkConstraints)`, `GMFGenPackage.getGenLink_CreationConstraints()`, `GenLinkConstraints.getLink()`
  ** Generated **
  Model:
    opposite="link" containment="true"

### setCreationConstraints

    void setCreationConstraints(GenLinkConstraints value)

  Sets the value of the '`Creation Constraints`' containment reference.

  Parameters:
    `value` - the new value of the 'Creation Constraints' containment reference.
  See Also:
    `getCreationConstraints()`
  ** Generated **

### isTargetReorientingAllowed

    boolean isTargetReorientingAllowed()

  Returns the value of the 'Target Reorienting Allowed' attribute. The default value is `"true"`. Support link target reorienting

  Returns:
    the value of the 'Target Reorienting Allowed' attribute.
  See Also:
    `setTargetReorientingAllowed(boolean)`, `GMFGenPackage.getGenLink_TargetReorientingAllowed()`
  ** Generated **
  Model:
    default="true"

### setTargetReorientingAllowed

    void setTargetReorientingAllowed(boolean value)

  Sets the value of the '`Target Reorienting Allowed`' attribute.

  Parameters:
    `value` - the new value of the 'Target Reorienting Allowed' attribute.
  See Also:
    `isTargetReorientingAllowed()`
  ** Generated **

### isSourceReorientingAllowed

    boolean isSourceReorientingAllowed()

  Returns the value of the 'Source Reorienting Allowed' attribute. The default value is `"true"`. Support link source reorienting

  Returns:
    the value of the 'Source Reorienting Allowed' attribute.
  See Also:
    `setSourceReorientingAllowed(boolean)`, `GMFGenPackage.getGenLink_SourceReorientingAllowed()`
  ** Generated **
  Model:
    default="true"

### setSourceReorientingAllowed

    void setSourceReorientingAllowed(boolean value)

  Sets the value of the '`Source Reorienting Allowed`' attribute.

  Parameters:
    `value` - the new value of the 'Source Reorienting Allowed' attribute.
  See Also:
    `isSourceReorientingAllowed()`
  ** Generated **

### getCreateCommandClassName

    java.lang.String getCreateCommandClassName()

  Returns the value of the 'Create Command Class Name' attribute.

  If the meaning of the 'Create Command Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Create Command Class Name' attribute.
  See Also:
    `setCreateCommandClassName(String)`, `GMFGenPackage.getGenLink_CreateCommandClassName()`
  ** Generated **
  Model:

### setCreateCommandClassName

    void setCreateCommandClassName(java.lang.String value)

  Sets the value of the '`Create Command Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Create Command Class Name' attribute.
  See Also:
    `getCreateCommandClassName()`
  ** Generated **

### getReorientCommandClassName

    java.lang.String getReorientCommandClassName()

  Returns the value of the 'Reorient Command Class Name' attribute.

  If the meaning of the 'Reorient Command Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reorient Command Class Name' attribute.
  See Also:
    `setReorientCommandClassName(String)`, `GMFGenPackage.getGenLink_ReorientCommandClassName()`
  ** Generated **
  Model:

### setReorientCommandClassName

    void setReorientCommandClassName(java.lang.String value)

  Sets the value of the '`Reorient Command Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Reorient Command Class Name' attribute.
  See Also:
    `getReorientCommandClassName()`
  ** Generated **

### isTreeBranch

    boolean isTreeBranch()

  Returns the value of the 'Tree Branch' attribute. The default value is `"true"`.

  If the meaning of the 'Tree Branch' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tree Branch' attribute.
  See Also:
    `setTreeBranch(boolean)`, `GMFGenPackage.getGenLink_TreeBranch()`
  ** Generated **
  Model:
    default="true"

### setTreeBranch

    void setTreeBranch(boolean value)

  Sets the value of the '`Tree Branch`' attribute.

  Parameters:
    `value` - the new value of the 'Tree Branch' attribute.
  See Also:
    `isTreeBranch()`
  ** Generated **

### getSources

    org.eclipse.emf.common.util.EList<GenLinkEnd> getSources()

  Returns the value of the 'Sources' reference list. The list contents are of type `GenLinkEnd`.

  If the meaning of the 'Sources' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sources' reference list.
  See Also:
    `GMFGenPackage.getGenLink_Sources()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

### getTargets

    org.eclipse.emf.common.util.EList<GenLinkEnd> getTargets()

  Returns the value of the 'Targets' reference list. The list contents are of type `GenLinkEnd`.

  If the meaning of the 'Targets' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Targets' reference list.
  See Also:
    `GMFGenPackage.getGenLink_Targets()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

### getAssistantSources

    org.eclipse.emf.common.util.EList<GenCommonBase> getAssistantSources()

  Returns link sources in this genmodel

  ** Generated **
  Model:
    kind="operation"

### getAssistantTargets

    org.eclipse.emf.common.util.EList<GenCommonBase> getAssistantTargets()

  Returns link targets in this genmodel

  ** Generated **
  Model:
    kind="operation"

### getCreateCommandQualifiedClassName

    java.lang.String getCreateCommandQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getReorientCommandQualifiedClassName

    java.lang.String getReorientCommandQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.